#!/bin/bash
#不知道为什么在dpkg环境安装不成功，放到这里安装
sleep 5s

. ${1}getUserAndHomePath.sh
user=$(getUser)
home_path=$(getHomePath $user)
pkcsPath=${home_path}/.pki/nssdb/
qaxpkcsPath=${home_path}/.pki/nssdb/.config/qaxbrowser/

function installP11
{
	if [ ! -d ${2} ];then
		return 1
	fi
	tool=${1}/modutil
	if [ -f /usr/bin/modutil ];then
		tool=modutil
	fi
	${tool} -force -dbdir sql:${2} -add "$3" -libfile $4
	$(changeOwner ${user} ${2})
}

pkcsPathArray=(${pkcsPath} ${qaxpkcsPath})

for pkcsPathTemp in ${pkcsPathArray[@]}
do	
    installP11 ${1} ${pkcsPathTemp} 'OnKeyP11_PSBC' ${1}libD4P11_PSBC.so
done