#!/bin/bash

CURPATH=$(cd "$(dirname "$0")"; pwd)
BANK=PSBC
BINNAME=OnKeyPinpadDaemon_${BANK}
hasOpen=`ps -ef|grep ${BINNAME}|grep -v grep`
. ${CURPATH}/getUserAndHomePath.sh

if [ "$hasOpen" == "" ];then
    for((i=0;i<1;))
    do
        loginUser=$(getUser)
        loginUserId=`id -u ${loginUser}`
        hasOpen=`ps -ef|grep ${BINNAME}|grep -v grep`
        if [ "$hasOpen" == "" ];then
                rm -rf /tmp/.OnKeyPinPad_${BANK}.sock
                rm -rf /tmp/.OnKeyPinPad_${BANK}.lock
        fi
        if [ "$loginUser" != "root" ];then
            if [ "$DISPLAY" == "" ];then
                runuser -l $loginUser -c "export DISPLAY=:0;export LANGUAGE=zh_CN;export XDG_RUNTIME_DIR=/run/user/${loginUserId};${CURPATH}/${BINNAME} &"
            else
                ${CURPATH}/${BINNAME} &
            fi
        fi
    	sleep 1s
	hasOpen=`ps -ef|grep ${BINNAME}|grep -v grep`
	if [ "$hasOpen" != "" ];then
		break
	fi

    done
fi

